'''
Created on 20-Jan-2022

@author: bthakur
'''

import os
import codecs
import inspect
import traceback
import random

from xv.util import UtilClass

# _trigonometry_helper
# TrigonometryHelper


class TrigonometryHelper(UtilClass):
    
    def __init__(self, **kwargs):
        super().__init__(**kwargs)

        self._func_tr_transform_helper = None
        self._trig_identity_helper = None
        
        self._kwargs = kwargs
        pass

            
    def get_func_tr_transform_helper(self):
        if self._func_tr_transform_helper is None:
            self._init_func_tr_transform_helper(**self._kwargs)
        return self._func_tr_transform_helper
        pass

    def _init_func_tr_transform_helper(self, **kwargs):  
        from ._func_tr_transform_helper import FuncTrTransformHelper
        self._func_tr_transform_helper = FuncTrTransformHelper(**kwargs) 
        pass

    def get_trig_identity_helper(self):
        if self._trig_identity_helper is None:
            self._init_trig_identity_helper(**self._kwargs)
        return self._trig_identity_helper
        pass

    def _init_trig_identity_helper(self, **kwargs):  
        from ._trig_identity_helper import TrigIdentityHelper
        self._trig_identity_helper = TrigIdentityHelper(**kwargs) 
        pass

   
    pass
#class TrigonometryHelper:
